import axios from "@/util/ajax";

export default {
  // 记录查询-车辆查询
  carListByPage(params) {
    return axios.get('/dash/record/query/berth/page', {params})
  },
  // 记录查询-轨迹查询
  gjListByPage(params) {
    return axios.get('/dash/record/query/monitor/page', {params})
  },
  // 记录查询-停车记录查询
  tcjlListByPage(params) {
    return axios.get('/dash/record/query/park/page', {params})
  },
  // 企业服务监管-列表
  qyfwjgListByPage(params) {
    return axios.get('/dash/enterprise/service/page', {params})
  },
  // 停车场情况-列表
  tccqkListByPage(params) {
    return axios.get('/dash/parking/lot/situation/page', {params})
  },
  // 停车场情况-总览
  tccqkView(params) {
    return axios.get('/dash/parking/lot/situation/view', {params})
  },
  // 停车收费取证主题-列表
  tcsfztListByPage(params) {
    return axios.get('/dash/parking/fee/page', {params})
  },
  // 停车饱和预警-饱和度
  tcbhyj(params) {
    return axios.post('/dash/saturation/warning/stat1', params)
  },
  // 停车饱和预警-网格化停车饱和预警
  wghtcbhyj(params) {
    return axios.get('/dash/saturation/warning/page', {params})
  },
  //  车辆迁徙分析
  clqx(params) {
    return axios.post('/dash/trck/map/stat1', params)
  },

  // 停车缺口分析-停车缺口分析
  tcqkfx(params) {
    return axios.post('/dash/gap/analysis/stat1', params)
  },
  // 停车缺口分析-停车缺口变化趋势
  tcqkbhqs(params) {
    return axios.post('/dash/gap/analysis/stat2', params)
  },
  // 停车难易指数-地图难易指数
  dtnyzs(params) {
    return axios.post('/dash/park/easy/stat1', params)
  },
  // 停车难易指数-折线图
  zxt(params) {
    return axios.post('/dash/park/easy/stat2', params)
  },
  // 全局停车诱导-地图难易指数
  nyzs(params) {
    return axios.post('/dash/park/guidance/stat', params)
  },
  //
  nyzstjListByPage(params) {
    return axios.get('/dash/park/guidance/page', {params})
  },
  // 区域停车发展分析
  qytcfzListByPage1 (params) {
    return axios.get('/dash/park/development/analysis/common', {params})
  },
  qytcfzListByPage2 (params) {
    return axios.get('/dash/park/development/analysis/development', {params})
  },
  // 路内泊位设置推荐- 停车缺口 /dash/berth/recommend/stat1
  lntcqk(params) {
    return axios.post('/dash/berth/recommend/stat1', params)
  },
  // 路内泊位设置推荐- 路内泊位
  lnbw(params) {
    return axios.get('/dash/berth/recommend/page', {params})
  },
  // 其他分析-区域分析
  qyfx(params) {
    return axios.post('/dash/other/analyse/stat1', params)
  },
  // todo 其他分析-重点车辆分析
  zdclfx(params) {
    return axios.post('/dash/other/analyse/stat10', params)
  },
  // 其他分析-车场数量
  ccsl(params) {
    return axios.post('/dash/other/analyse/stat2', params)
  },
  // 其他分析-停车分布分析
  tcfbfx(params) {
    return axios.post('/dash/other/analyse/stat3', params)
  },
  // 其他分析-余位分析
  ywfx(params) {
    return axios.post('/dash/other/analyse/stat4', params)
  },
  // 其他分析-停车热点分析
  tcrdfx(params) {
    return axios.post('/dash/other/analyse/stat5', params)
  },
  // 其他分析-车流量分析
  cllfx(params) {
    return axios.post('/dash/other/analyse/stat6', params)
  },
  // 其他分析-低利用率停车场分析图表配置
  dlyltcc(params) {
    return axios.post('/dash/other/analyse/stat7', params)
  },
  // 其他分析-高峰路线分析
  gflxfx(params) {
    return axios.post('/dash/other/analyse/stat8', params)
  },
  // 其他分析-重点车辆进场占比
  zdcljcfx(params) {
    return axios.post('/dash/other/analyse/stat9', params)
  },
  // 服务发布
  serviceListByPage(params) {
    return axios.get('/dash/service/publish/page', {params})
  },
  servicePublic(params) {
    return axios.post('/dash/service/publish/save', params)
  },
  serviceSave(params) {
    return axios.post('/dash/service/publish/save', params)
  },
  // 公告功能
  announcementListByPage(params) {
    return axios.get('/dash/announcement/function/page', {params})
  },
  announcementSave(params) {
    return axios.post('/dash/announcement/function/save', params)
  },
  // 消息中心
  messageListByPage(params) {
    return axios.get('/dash/message/page', {params})
  },
  // 服务监控
  monitorListByPage(params) {
    return axios.get('/dash/service/monitor/page', {params})
  },
  // 凭证管理
  pzglListByPage(params) {
    return axios.get('/dash/credential/management/function/page', {params})
  },
  deletePz(params) {
    return axios.post('/dash/credential/management/function/delete', params)
  },
  addPz(params) {
    return axios.post('/dash/credential/management/function/save', params)
  },
  // 服务订阅 /dash/service/subscription/function/page
  subscriptionListByPage (params) {
    return axios.get('/dash/service/subscription/function/page', {params})
  },
  subscription(params) {
    return axios.post('/dash/service/subscription/function/subscription', params)
  },
  unsubscription(params) {
    return axios.post('/dash/service/subscription/function/unsubscription', params)
  },
  // IP白名单-列表接口
  ipListByPage(params) {
    return axios.get('/dash/ip/white/list/page', {params})
  },
  // IP白名单-删除接口
  deleteWhiteIp(params) {
    return axios.post('/dash/ip/white/list/delete', params)
  },
  // IP白名单-新增接口
  addWhiteIp(params) {
    return axios.post('/dash/ip/white/list/save', params)
  },
  // 服务调用功能
  fwdy(params) {
    return axios.post('/dash/service/call/function/call', params)
  },
  // 操作日志功能
  czrzListByPage(params) {
    return axios.get('/dash/operation/log/page', {params})
  },
  czrzDetail(params) {
    return axios.post('/dash/operation/log/detail', params)
  },
  // 车主信用监管
  czxyjgListByPage(params) {
    return axios.get('/dash/car/owner/credit/page', {params})
  },
  // 申请列表
  applyList(params) {
    return axios.get('/resourceApply/selectBackedApplyList', {params});
  },
  // 审核
  applyResource(params) {
    return axios.post('/resourceApply/approveApply', params);
  }

}
